@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;900&family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400&family=Oswald:wght@400;700&display=swap');

:root {
    /* --padding-container: 100px 0; */
    --color-title: #001A49
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /* footer abajo */
    height: 100%;
}

body {
    /* footer abajo */
    display: flex;
    flex-direction: column;
    min-height: 100%;
    font-family: 'Poppins', sans-serif;
    background: yellow;
    scroll-behavior: smooth;
    position: relative;
}

a {
    text-decoration: none;
    transition-property: background, filter, opacity;
    outline: none;
    transition-duration: .3s;
    transition-timing-function: ease;
    filter: brightness(100%);
    opacity: 1;
    display: contents;
    text-decoration: none;
}

/* barra de navegacion */
.nav {
    width: 100%;
    height: 80px;
    background: rgba(0, 0, 0, .1);


    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 9;

}

/* scroll sombra barra de navegacion */
.nav--on {
    background: rgba(0, 0, 0, .7);
    height: 100px;
    transition: 1s ease-in-out;
    z-index: 9;
}

.nav__container {
    width: 90%;
    height: 80px;
    max-width: 1200px;
    margin: 0 auto;

    display: flex;
    align-items: center;
    justify-content: space-between;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
}

.nav__logo img {
    width: 200px;
    position: relative;
    display: flex;
    margin: 0 auto;
    margin-left: -30px;
}

.nav__link {
    display: flex;
    list-style: none;
    position: relative;
}

.nav__link a {
    font-size: 12px;
    font-weight: 600;
    margin: 30px;
    text-decoration: none;
    color: black;

}

.nav__menu {
    font-size: 20px;
    display: none;

}


.nav__menu--close {
    font-size: 20px;
    display: none;
    z-index: 99999;
}

.nav__subscribe {
    font-size: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: red;
    font-weight: 600;
    display: none;
    position: absolute;
    left: 220px;
    transition: .1s ease-in-out;
}

.nav__avatar {
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 100px;
}

/* Iglesia Cards */

.iglesia__container {
    width: 100%;
    max-width: 1200px;
    margin: 10% auto 30%;
    text-align: center;
    padding: 50px;
}

.iglesia__container--titulo {
    font-family: 'Oswald', sans-serif;
    font-weight: 900;
    font-size: 75px;
    text-align: center;
    color: black;
    margin-bottom: 20px;
}

.iglesia__container__titulo {
    font-family: 'Oswald', sans-serif;
    color: orangered;
    font-size: 40px;
    line-height: 1.4;
    font-weight: 700;
    text-transform: uppercase;
}

.iglesia__container__parrafo {
    font-family: 'Oswald', sans-serif;
    font-size: 16px;
    font-weight: 100;
    text-align: justify;
    color: #767676;
    margin: 50px auto;
}

.iglesia__container__subtitulo {
    font-family: 'Oswald', sans-serif;
    color: orangered;
    font-size: 30px;
    line-height: 30px;
    font-weight: 700;
    text-transform: uppercase;

}

.iglesia__container__listado {
    font-family: 'Oswald', sans-serif;
    font-size: 20px;
    text-align: justify;
    margin: 30px auto;
    color: #767676;
    list-style: none;

}

.iglesia__container__listado li {
    margin: 5px;
}

/* boton animacion*/
.iglesia__container__boton {
    width: 90%;
    margin: 6em auto 0;
}

.boton {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 80px;
    background: black;
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 500;
    border: none;
    cursor: pointer;
    text-transform: uppercase;
    transition: .3s ease all;
    border-radius: 5;
    position: relative;
    overflow: hidden;
}

.boton span {
    position: relative;
    z-index: 2;
    transition: .3s ease all;
    text-decoration: none;
    text-decoration: none;
    list-style: none;
}

.boton.uno::after {
    content: "";
    width: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
    left: calc(-100% - 80px);
    border-bottom: 80px solid red;
    border-right: 80px solid transparent;
    transition: .4s ease-in-out all;
}

.boton.uno:hover::after {
    left: 0;
}

.iglesia__container__boton--link {
    text-decoration: none;
}




/* FOOTER */
footer {
    width: 100%;
    height: 40%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: url(../imagenes/footer3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* footer abajo */

}

.footer__social i {
    color: white;
    font-size: 25px;
    margin: 10px;
    cursor: pointer;
}

.footer__social p {
    color: white;
    font-weight: 600;
}


.footer__social {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    margin-top: 15%;
    padding: 20px;
    gap: 5px;
}

.footer__social {
    position: absolute;
    bottom: 0;


}



/* media querys */
/* TabE Samsung */
@media screen and (max-width: 820px) {

    .nav__menu {
        display: none;
        font-size: 30px;
    }

    .nav__menu--close {
        font-size: 30px;
    }

    .nav__menu img {
        width: 30px;
        cursor: pointer;
    }

    .nav__logo {
        margin-left: 0px;
    }

    .nav__link {
        color: white;
    }

    .nav__link--menu {
        position: fixed;
        background: #151E21;
        color: white;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;

        width: 100vw;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        pointer-events: none;
        z-index: 9;
        opacity: 0;
        transition: .2s opacity;
    }

    .nav__link--menu a {
        color: white;
        font-size: 25px;
        z-index: 9999;
    }

    .nav__avatar {
        display: block;
        right: 0;
    }

    /* SECTION */

    .iglesia__container {
        width: 100%;
        margin: 30% auto 60%;
        text-align: center;
        padding: 40px;
        overflow: hidden;
    }

    .iglesia__container--titulo {
        font-size: 40px;
    }

    .iglesia__container__titulo {
        font-size: 30px;
    }

    .iglesia__container__subtitulo {
        font-size: 30px;
    }

    .iglesia__container__listado {
        font-size: 16px;
    }

    /* FOOTER */
    footer {
        height: 30%;
    }




}

/* Motorola g42 */
@media screen and (max-width: 524px) {

    /* SECTION */

    .iglesia__container {
        width: 100%;
        margin: 30% auto 40%;
        text-align: center;
        padding: 30px;
        overflow: hidden;
    }

    .iglesia__container--titulo {
        font-size: 45px;
        line-height: 40px;
        text-align: center;
        margin: 0 0 60px 0;
    }

    .iglesia__container__titulo {
        font-size: 30px;
    }

    .iglesia__container__parrafo {
        font-size: 20px;
    }

    .iglesia__container__subtitulo {
        font-size: 30px;
        font-weight: 900;
    }

    .iglesia__container__listado {
        font-size: 20px;
    }



    /* FOOTER */
    footer {
        height: 20%;
    }

    .footer__social p {
        font-size: 13px;
    }

}

;